### Method

# Gck Session logout

#### Declaration [src]

    gboolean
    gck_session_logout (
      GckSession* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Log out of the session. This call may block for an indefinite period.

#### Parameters

`cancellable` | `GCancellable`
| Optional cancellation object, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether the logout was successful or not.